%% This script analysises output of the calibrated model: settolo_esteso3D_cal-complete6_newIC_compl8
% C:\Users\Davide Furlanetto\Desktop\3D_localscale\3D_localscale-output_analysis
clear
close all

load N04smooth-resampled.mat;
load N05smooth-resampled.mat;
load N06smooth-resampled.mat;
load N07smooth-resampled.mat;
load N08smooth-resampled.mat;
load N09smooth-resampled.mat;
load N10smooth-resampled.mat;
load('ATPeHL4data.mat');

% Simulated with calibrated K field
sim_head=readtable('head_esteso3D_cal-complete6_newIC_compl8.dat');
sim_temp=readtable('temp_esteso3D_cal-complete6_newIC_compl8.dat');

% Reference simulation with homogeneous K field
ref_head=readtable('head_esteso3D_newIC_homK.dat');
ref_temp=readtable('temp_esteso3D_newIC_homK.dat');
%% Organize simulated variables
% N05
pozzo=N05smooth_resampled; ind=1:7:231;
for i=1:33
    vec=sim_temp(sim_temp.ID==ind(i),1:3);
    vec2=sim_head(sim_head.ID==ind(i),1:3);
    N05Tsim(:,i)=vec(:,3);
    N05Hsim(:,i)=vec2(:,3);
    name(i)="N05-"+string(i-1);
end
N05sim_head=renamevars(table2timetable(N05Hsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N05Hsim.Properties.VariableNames,name);
N05sim_head=retime(N05sim_head,"hourly");
N05sim_temp=renamevars(table2timetable(N05Tsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N05Tsim.Properties.VariableNames,name);
N05sim_temp=retime(N05sim_temp,'hourly');
clear vec; clear vec2; clear pozzo;
% N07
pozzo=N07smooth_resampled; ind=2:7:231;
for i=1:33
    vec=sim_temp(sim_temp.ID==ind(i),1:3);
    vec2=sim_head(sim_head.ID==ind(i),1:3);
    N07Tsim(:,i)=vec(:,3);
    N07Hsim(:,i)=vec2(:,3);
    name(i)="N07-"+string(i-1);
end
N07sim_head=renamevars(table2timetable(N07Hsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N07Hsim.Properties.VariableNames,name);
N07sim_head=retime(N07sim_head,'hourly');
N07sim_temp=renamevars(table2timetable(N07Tsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N07Tsim.Properties.VariableNames,name);
N07sim_temp=retime(N07sim_temp,'hourly');
clear vec; clear vec2; clear pozzo;
% N06
pozzo=N06smooth_resampled; ind=3:7:231;
for i=1:33
    vec=sim_temp(sim_temp.ID==ind(i),1:3);
    vec2=sim_head(sim_head.ID==ind(i),1:3);
    N06Tsim(:,i)=vec(:,3);
    N06Hsim(:,i)=vec2(:,3);
    name(i)="N06-"+string(i-1);
end
N06sim_head=renamevars(table2timetable(N06Hsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N06Hsim.Properties.VariableNames,name);
N06sim_head=retime(N06sim_head,'hourly');
N06sim_temp=renamevars(table2timetable(N06Tsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N06Tsim.Properties.VariableNames,name);
N06sim_temp=retime(N06sim_temp,'hourly');
clear vec; clear vec2; clear pozzo;
% N09
pozzo=N09smooth_resampled; ind=4:7:231;
for i=1:33
    vec=sim_temp(sim_temp.ID==ind(i),1:3);
    vec2=sim_head(sim_head.ID==ind(i),1:3);
    N09Tsim(:,i)=vec(:,3);
    N09Hsim(:,i)=vec2(:,3);
    name(i)="N09-"+string(i-1);
end
N09sim_head=renamevars(table2timetable(N09Hsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N09Hsim.Properties.VariableNames,name);
N09sim_head=retime(N09sim_head,'hourly');
N09sim_temp=renamevars(table2timetable(N09Tsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N09Tsim.Properties.VariableNames,name);
N09sim_temp=retime(N09sim_temp,'hourly');
clear vec; clear vec2; clear pozzo;
% N08
pozzo=N08smooth_resampled; ind=5:7:231;
for i=1:33
    vec=sim_temp(sim_temp.ID==ind(i),1:3);
    vec2=sim_head(sim_head.ID==ind(i),1:3);
    N08Tsim(:,i)=vec(:,3);
    N08Hsim(:,i)=vec2(:,3);
    name(i)="N08-"+string(i-1);
end
N08sim_head=renamevars(table2timetable(N08Hsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N08Hsim.Properties.VariableNames,name);
N08sim_head=retime(N08sim_head,'hourly');
N08sim_temp=renamevars(table2timetable(N08Tsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N08Tsim.Properties.VariableNames,name);
N08sim_temp=retime(N08sim_temp,'hourly');
clear vec; clear vec2; clear pozzo;
% N04
pozzo=N04smooth_resampled; ind=6:7:231;

for i=1:33
    vec=sim_temp(sim_temp.ID==ind(i),1:3);
    vec2=sim_head(sim_head.ID==ind(i),1:3);
    N04Tsim(:,i)=vec(:,3);
    N04Hsim(:,i)=vec2(:,3);
    name(i)="N04-"+string(i-1);
end
N04sim_head=renamevars(table2timetable(N04Hsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N04Hsim.Properties.VariableNames,name);
N04sim_head=retime(N04sim_head,'hourly');
N04sim_temp=renamevars(table2timetable(N04Tsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N04Tsim.Properties.VariableNames,name);
N04sim_temp=retime(N04sim_temp,'hourly');
clear vec; clear vec2; clear pozzo;
% N10
pozzo=N10smooth_resampled; ind=7:7:231;

for i=1:33
    vec=sim_temp(sim_temp.ID==ind(i),1:3);
    vec2=sim_head(sim_head.ID==ind(i),1:3);
    N10Tsim(:,i)=vec(:,3);
    N10Hsim(:,i)=vec2(:,3);
    name(i)="N10-"+string(i-1);
end
N10sim_head=renamevars(table2timetable(N10Hsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N10Hsim.Properties.VariableNames,name);
N10sim_head=retime(N10sim_head,'hourly');
N10sim_temp=renamevars(table2timetable(N10Tsim,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N10Tsim.Properties.VariableNames,name);
N10sim_temp=retime(N10sim_temp,'hourly');
clear vec; clear vec2; clear pozzo;
%% Organize reference variables
% N05
pozzo=N05smooth_resampled; ind=1:7:231;
for i=1:33
    vec=ref_temp(ref_temp.ID==ind(i),1:3);
    vec2=ref_head(ref_head.ID==ind(i),1:3);
    N05Tref(:,i)=vec(:,3);
    N05Href(:,i)=vec2(:,3);
    name(i)="N05-"+string(i-1);
end
%
N05ref_head=renamevars(table2timetable(N05Href,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N05Href.Properties.VariableNames,name);
N05ref_head=retime(N05ref_head,"hourly",'nearest');
N05ref_temp=renamevars(table2timetable(N05Tref,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N05Tref.Properties.VariableNames,name);
N05ref_temp=retime(N05ref_temp,'hourly','nearest');
clear vec; clear vec2; clear pozzo;
% N07
pozzo=N07smooth_resampled; ind=2:7:231;
for i=1:33
    vec=ref_temp(ref_temp.ID==ind(i),1:3);
    vec2=ref_head(ref_head.ID==ind(i),1:3);
    N07Tref(:,i)=vec(:,3);
    N07Href(:,i)=vec2(:,3);
    name(i)="N07-"+string(i-1);
end
N07ref_head=renamevars(table2timetable(N07Href,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N07Href.Properties.VariableNames,name);
N07ref_head=retime(N07ref_head,'hourly','nearest');
N07ref_temp=renamevars(table2timetable(N07Tref,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N07Tref.Properties.VariableNames,name);
N07ref_temp=retime(N07ref_temp,'hourly','nearest');
clear vec; clear vec2; clear pozzo;
% N06
pozzo=N06smooth_resampled; ind=3:7:231;
for i=1:33
    vec=ref_temp(ref_temp.ID==ind(i),1:3);
    vec2=ref_head(ref_head.ID==ind(i),1:3);
    N06Tref(:,i)=vec(:,3);
    N06Href(:,i)=vec2(:,3);
    name(i)="N06-"+string(i-1);
end
N06ref_head=renamevars(table2timetable(N06Href,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N06Href.Properties.VariableNames,name);
N06ref_head=retime(N06ref_head,'hourly','nearest');
N06ref_temp=renamevars(table2timetable(N06Tref,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N06Tref.Properties.VariableNames,name);
N06ref_temp=retime(N06ref_temp,'hourly','nearest');
clear vec; clear vec2; clear pozzo;
% N09
pozzo=N09smooth_resampled; ind=4:7:231;
for i=1:33
    vec=ref_temp(ref_temp.ID==ind(i),1:3);
    vec2=ref_head(ref_head.ID==ind(i),1:3);
    N09Tref(:,i)=vec(:,3);
    N09Href(:,i)=vec2(:,3);
    name(i)="N09-"+string(i-1);
end
N09ref_head=renamevars(table2timetable(N09Href,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N09Href.Properties.VariableNames,name);
N09ref_head=retime(N09ref_head,'hourly','nearest');
N09ref_temp=renamevars(table2timetable(N09Tref,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N09Tref.Properties.VariableNames,name);
N09ref_temp=retime(N09ref_temp,'hourly','nearest');
clear vec; clear vec2; clear pozzo;
% N08
pozzo=N08smooth_resampled; ind=5:7:231;
for i=1:33
    vec=ref_temp(ref_temp.ID==ind(i),1:3);
    vec2=ref_head(ref_head.ID==ind(i),1:3);
    N08Tref(:,i)=vec(:,3);
    N08Href(:,i)=vec2(:,3);
    name(i)="N08-"+string(i-1);
end
N08ref_head=renamevars(table2timetable(N08Href,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N08Href.Properties.VariableNames,name);
N08ref_head=retime(N08ref_head,'hourly','nearest');
N08ref_temp=renamevars(table2timetable(N08Tref,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N08Tref.Properties.VariableNames,name);
N08ref_temp=retime(N08ref_temp,'hourly','nearest');
clear vec; clear vec2; clear pozzo;
% N04
pozzo=N04smooth_resampled; ind=6:7:231;

for i=1:33
    vec=ref_temp(ref_temp.ID==ind(i),1:3);
    vec2=ref_head(ref_head.ID==ind(i),1:3);
    N04Tref(:,i)=vec(:,3);
    N04Href(:,i)=vec2(:,3);
    name(i)="N04-"+string(i-1);
end
N04ref_head=renamevars(table2timetable(N04Href,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N04Href.Properties.VariableNames,name);
N04ref_head=retime(N04ref_head,'hourly','nearest');
N04ref_temp=renamevars(table2timetable(N04Tref,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N04Tref.Properties.VariableNames,name);
N04ref_temp=retime(N04ref_temp,'hourly','nearest');
clear vec; clear vec2; clear pozzo;
% N10
pozzo=N10smooth_resampled; ind=7:7:231;

for i=1:33
    vec=ref_temp(ref_temp.ID==ind(i),1:3);
    vec2=ref_head(ref_head.ID==ind(i),1:3);
    N10Tref(:,i)=vec(:,3);
    N10Href(:,i)=vec2(:,3);
    name(i)="N10-"+string(i-1);
end
N10ref_head=renamevars(table2timetable(N10Href,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N10Href.Properties.VariableNames,name);
N10ref_head=retime(N10ref_head,'hourly','nearest');
N10ref_temp=renamevars(table2timetable(N10Tref,"RowTimes",datetime(2020,08,18,12,00,00)+hours(table2array(vec(:,2)))),N10Tref.Properties.VariableNames,name);
N10ref_temp=retime(N10ref_temp,'hourly','nearest');
clear vec; clear vec2; clear pozzo;
%% Temperature output analysis
simwell=N10sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:); % change the timetable name for each piezometer
refwell=N10ref_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:);
obswell=N10smooth_resampled;
wellnumb='10';
time=simwell.Time; obs_temperaturemap=table2array(obswell(:,1:end));
ref_temperaturemap=table2array(refwell(:,2:width(obs_temperaturemap)+1)); sim_temperaturemap=table2array(simwell(:,2:width(obs_temperaturemap)+1));

% figure
%     colormap turbo
%     ax1=axes('Position',[0.08 0.11 0.7 0.8150]);
%     im=imagesc(hours(time-time(1)),[1:width(obs_temperaturemap)],sim_temperaturemap');
%     view(2)
%     ylim([5.5 width(obs_temperaturemap)+0.5])
%     set(ax1,'YDir','Reverse','Box','on','Layer','top','YGrid','on');
%     c=colorbar('eastoutside'); grid on
%     pbaspect([1.5 1 1]); 
%     hold on
%     title('Simulated temperature in well N'+string(wellnumb))
%     ylabel('Depth [m]'); %axis tight
%     xlabel('Time [h]')
%     clim([10 20])
% figure
%     colormap(flipud(hot))
%     ax1=axes('Position',[0.08 0.11 0.7 0.8150]);
%     im=imagesc(hours(time-time(1)),[1:width(obs_temperaturemap)],abs(sim_temperaturemap-obs_temperaturemap)');
%     ylim([5.5 width(obs_temperaturemap)+0.5])
%     % ax1.XTickLabel={'Sep 21','Sep 24', }
%     %view(2)
%     set(ax1,'YDir','Reverse','Box','on','Layer','top','YGrid','on');
%     c=colorbar('eastoutside'); grid on
%     pbaspect([1.5 1 1]); ylim([5 width(obs_temperaturemap)])
%     hold on
%     title('Simulated temperature anomaly (vs observed) in well N'+string(wellnumb))
%     ylabel('Depth [m]'); %axis tight
%     xlabel('Time [h]')
%     clim([0 2])
%  figure
%     colormap(parula)
%     ax1=axes('Position',[0.08 0.11 0.7 0.8150]);
%     im=imagesc(hours(time-time(1)),[1:width(obs_temperaturemap)],(obs_temperaturemap-ref_temperaturemap)');
%     ylim([5.5 width(obs_temperaturemap)+0.5])
%     % ax1.XTickLabel={'Sep 21','Sep 24', }
%     %view(2)
%     set(ax1,'YDir','Reverse','Box','on','Layer','top','YGrid','on');
%     c=colorbar('eastoutside'); grid on
%     pbaspect([1.5 1 1]); ylim([5 width(obs_temperaturemap)])
%     hold on
%     title('Reference temperature anomaly (vs observed) in well N'+string(wellnumb))
%     ylabel('Depth [m]'); %axis tight
%     xlabel('Time [h]')
%     clim([-3 3])
% mycolors=[0 1 0; 1 1 1;1 0 0];
% figure
%     colormap(jet(13))
%     ax1=axes('Position',[0.08 0.11 0.7 0.8150]);
%     im=imagesc(hours(time-time(1)),[1:width(obs_temperaturemap)],(abs(ref_temperaturemap-obs_temperaturemap)-abs(sim_temperaturemap-obs_temperaturemap))');
%     ylim([5.5 width(obs_temperaturemap)+0.5])
%     % ax1.XTickLabel={'Sep 21','Sep 24', }
%     %view(2)
%     set(ax1,'YDir','Reverse','Box','on','Layer','top','YGrid','on');
%     c=colorbar('eastoutside'); grid on
%     pbaspect([1.5 1 1]); ylim([5 width(obs_temperaturemap)])
%     hold on
%     title('Simulated temperature anomaly reduction in well N'+string(wellnumb))
%     ylabel('Depth [m]'); %axis tight
%     xlabel('Time [h]')
%     clim([-1.5 1.5])
% 
% Temperature signals
col=[10 13 15 17 22 30];
% figure
% for i=1:5
%     subplot(5,1,i)
%     plot(time,obs_temperaturemap(:,col(i)),'k',LineWidth=1.1)
%     hold on
%     if i==1 % solo per N10 e N5
%         plot(ATPeHL4data(3).N10.Time,ATPeHL4data(3).N10.T,'m')
% %         plot(ATPeHL4data(3).N05.Time,ATPeHL4data(3).N05.T,'m')
%         xlim([datetime(2020,09,18,19,00,00) datetime(2020,10,14,10,00,00)])
%     end
%     plot(time,ref_temperaturemap(:,col(i)),'b',LineWidth=1.1)
%     plot(time,sim_temperaturemap(:,col(i)),'r',LineWidth=1.1)
%     axis tight
%     xlim([datetime(2020,09,18,19,00,00) datetime(2020,10,14,10,00,00)])
%     grid on; grid minor; ylim([10 14.5])
%     title('Temperature time-series in well N'+string(wellnumb)+' at depth -'+string(col(i))+'m')
% end


 figure
     ax5=axes();
     boxplot(ax5,obs_temperaturemap(:,1:end),'Orientation','horizontal','BoxStyle','outline','Colors','k')
     hold on
     boxplot(ax5,ref_temperaturemap(:,1:end),'Orientation','horizontal','BoxStyle','outline','Colors','b')
     boxplot(ax5,sim_temperaturemap(:,1:end),'Orientation','horizontal','BoxStyle','outline','Colors','r')
     plot(mean(obs_temperaturemap),[1:width(obs_temperaturemap)],'ko-','linewidth',1)
     plot(mean(ref_temperaturemap),[1:width(ref_temperaturemap)],'bo-','linewidth',1)
     plot(mean(sim_temperaturemap),[1:width(sim_temperaturemap)],'ro-','linewidth',1)
     set(ax5,'YDir','Reverse','YGrid','off','XGrid','off','XMinorGrid','off');
     xlim([9 16.5]); title('Boxplot comparison of temperature profile in N'+string(wellnumb))
     ylim([0.5+4 4+width(obs_temperaturemap(:,5:end))+0.5])
     pbaspect([1.3 1 1])
     legend('Measured','Sim. K homogen.','Sim. K calibrated','location','northwest')
     xlabel('Temperature [°C]'); ylabel('Depth [m]')
%% BOXPLOT COMPARISON FOR PAPER - MARCH 2024
position = [50 50 785 610];
f = figure('Position', position);

dx = [0.08, 0.545, 0.08, 0.545];
dy = [0.56, 0.56, 0.06, 0.06];
for i = 1:4
    if i == 1
        simwell=N10sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:); 
        refwell=N10ref_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:);
        obswell=N10smooth_resampled;
        pantitle='(a) Temperature profiles comparison in N10'; legpos = 'northwest';
    elseif i == 2
        simwell=N05sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:); 
        refwell=N05ref_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:);
        obswell=N05smooth_resampled;
       pantitle='(b) Temperature profiles comparison in N05'; legpos = 'northwest';
    elseif i == 3
        simwell=N09sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:); 
        refwell=N09ref_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:);
        obswell=N09smooth_resampled;
        pantitle='(c) Temperature profiles comparison in N09'; legpos = 'southeast';
    elseif i == 4
        simwell=N07sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:); 
        refwell=N07ref_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:);
        obswell=N07smooth_resampled;
        pantitle='(d) Temperature profiles comparison in N07'; legpos = 'southeast';
    end

    time=simwell.Time; obs_temperaturemap=table2array(obswell(:,1:end));
    ref_temperaturemap=table2array(refwell(:,2:width(obs_temperaturemap)+1));
    sim_temperaturemap=table2array(simwell(:,2:width(obs_temperaturemap)+1));

    colormap turbo
    ax1 = axes('Position',[(dx(i)) (dy(i)) 0.375 0.39]);
    hold on
    boxplot(ax1,obs_temperaturemap(:,1:end),'Orientation','horizontal','BoxStyle','outline','Colors','k','OutlierSize',0.5)
    boxplot(ax1,ref_temperaturemap(:,1:end),'Orientation','horizontal','BoxStyle','outline','Colors','b','OutlierSize',0.5)
    boxplot(ax1,sim_temperaturemap(:,1:end),'Orientation','horizontal','BoxStyle','outline','Colors','r','OutlierSize',0.5)
    plot(mean(obs_temperaturemap),[1:width(obs_temperaturemap)],'ko-','linewidth',1, 'markersize',2)
    plot(mean(ref_temperaturemap),[1:width(ref_temperaturemap)],'bo-','linewidth',1, 'markersize',2)
    plot(mean(sim_temperaturemap),[1:width(sim_temperaturemap)],'ro-','linewidth',1, 'markersize',2)
    set(ax1,'YDir','Reverse','YGrid','off','XGrid','off','XMinorGrid','off');
    xlim([9.5 16.5]); title(pantitle)
    ylim([0.5+4 4+width(obs_temperaturemap(:,5:end))+0.5])
%     pbaspect([1.3 1 1])
    yticks([5:5:31]); yticklabels({'5','10','15','20','25','30'})
    leg = legend('Measured','Sim. K hom.','Sim. K calib.','location',legpos);
    leg.ItemTokenSize = [15 18];
    xlabel('Temperature [°C]'); ylabel('Depth [m]')
end 

% print('-image',f,['C:\Users\DELL\OneDrive - Università degli Studi di Padova\' ...
%     'DOTTORATO\Pubblicazioni\settolo_DTS_paper\final_submission\manuscript\figures\' ...
%     'profiles'],'-djpeg','-r300')
% print('-vector',f,['C:\Users\DELL\OneDrive - Università degli Studi di Padova\' ...
%     'DOTTORATO\Pubblicazioni\settolo_DTS_paper\final_submission\manuscript\figures\' ...
%     'profiles'],'-depsc','-loose')
%% Level output analysis
figure
subplot(2,1,1)
plot(ATPeHL4data(3).N10.Time,ATPeHL4data(3).N10.level+150.11,'k')
hold on 
plot(N10ref_head.Time,N10ref_head.(11),'b','LineWidth',1.2)
plot(N10sim_head.Time,N10sim_head.(11),'r','LineWidth',1.2)
xlim([datetime(2020,09,18,19,00,00) datetime(2020,10,14,10,00,00)]); ylim([155 156.5])
title('Piezometric head in N10'); legend('Measured','K homogeneous reference','K heterogenous calibrated','Location','southeast')
grid on; grid minor;
subplot(2,1,2)
plot(ATPeHL4data(3).N05.Time,ATPeHL4data(3).N05.level+149.363,'k')
hold on 
plot(N05ref_head.Time,N05ref_head.(11),'b','linewidth',1.2)
plot(N05sim_head.Time,N05sim_head.(11),'r','linewidth',1.2)
xlim([datetime(2020,09,18,19,00,00) datetime(2020,10,14,10,00,00)]); ylim([155 156.5])
title('Piezometric head in N05'); legend('Measured','K homogeneous reference','K heterogenous calibrated','Location','southeast')
grid on; grid minor;

%% Correlation plot dei risultati delle simulazioni
% simulazioni
figure
    subplot(4,2,1)
    imagesc(corrcoef(table2array((N10sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation simulated N10')
    colorbar

        subplot(4,2,2)
    imagesc(corrcoef(table2array((N05sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation simulated N05')
    colorbar
        subplot(4,2,3)
    imagesc(corrcoef(table2array((N09sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation simulated N09')
    colorbar
        subplot(4,2,4)
    imagesc(corrcoef(table2array((N04sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation simulated N04')
    colorbar
        subplot(4,2,5)
    imagesc(corrcoef(table2array((N08sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation simulated N08')
    colorbar
        subplot(4,2,6)
    imagesc(corrcoef(table2array((N06sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation simulated N06')
    colorbar
        subplot(4,2,7)
    imagesc(corrcoef(table2array((N07sim_temp([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation simulated N07')
        colorbar
% dati osservati in media mobile piu offset
figure
    subplot(4,2,1)
    imagesc(corrcoef(table2array((N10smooth_resampled([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation smoothened data N10')
    colorbar

        subplot(4,2,2)
    imagesc(corrcoef(table2array((N05smooth_resampled([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation smoothened data N05')
    colorbar
        subplot(4,2,3)
    imagesc(corrcoef(table2array((N09smooth_resampled([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation smoothened data N09')
    colorbar
        subplot(4,2,4)
    imagesc(corrcoef(table2array((N04smooth_resampled([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation smoothened data N04')
    colorbar
        subplot(4,2,5)
    imagesc(corrcoef(table2array((N08smooth_resampled([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation smoothened data N08')
     colorbar
        subplot(4,2,6)
    imagesc(corrcoef(table2array((N06smooth_resampled([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation smoothened data N06')
     colorbar
        subplot(4,2,7)
    imagesc(corrcoef(table2array((N07smooth_resampled([datetime(2020,09,18,19,00,00):hours(1):datetime(2020,10,14,10,00,00)],:)))));
    pbaspect([1 1 1]); xlim([5 31]); ylim([5 31]); clim([0.7 1])
    title('Pearson correlation smoothened data N07')
         colorbar